# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   interfaceAutoTest_v4
# FileName:      log.py
# Author:       ALuo
# Datetime:     2023/11/5 22:21
# Description: 配置日志
# ---------------------------------------------------------------------------
import logging
import os


def log_config():
    """配置日志"""
    logger = logging.getLogger("ALuo")
    logger.level = logging.NOTSET
    log_path = os.path.join(os.path.dirname(os.path.dirname(__file__)), "report/log/log_summary.log")
    handler = logging.FileHandler(log_path, mode="a", encoding="utf-8")
    format = logging.Formatter('%(asctime)s - %(filename)s[line:%(lineno)d] - %(levelname)s: %(message)s - %(name)s')
    handler.setFormatter(format)
    logger.addHandler(handler)
    return logger

