# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   interfaceAutoTest_v4
# FileName:      read_json.py
# Author:       ALuo
# Datetime:     2023/11/5 22:45
# Description:  读取json
# ---------------------------------------------------------------------------
import json
import os

from interfaceAutoTest.common import alog


def read_json(filename):

    # 判断传过来的文件路径是一个文件且为json文件
    if os.path.isfile(filename) and filename.endswith(".json"):
        try:
            with open(filename, mode="r", encoding="utf-8") as fj:
                return json.load(fj)
        except:
            alog.error("json序列化或获取json内容错误，请检查该json文件" + filename)
            raise KeyError("json序列化或获取json内容错误，请检查该json文件")
    else:
        alog.error("json文件路径错误未找到该json文件" + filename)
        raise FileNotFoundError("json文件路径错误未找到该json文件，详情请查看日志")

if __name__ == '__main__':
    js = read_json(r"D:\PycharmProjects\interfaceAutoTest_v4\interfaceAutoTest\data_config\case_data.json")

