# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   interfaceAutoTest_v4
# FileName:      conftest.py
# Author:       ALuo
# Datetime:     2023/11/6 19:01
# Description:
# ---------------------------------------------------------------------------
import pytest

from interfaceAutoTest.common.db import DB
from interfaceAutoTest.request_method.request_method import RequestMethod


@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    yield db
    db.close()

@pytest.fixture(scope="session")
def req_fix():
    req = RequestMethod()
    return req

def pytest_collection_modifyitems(items):
    # item表示每个测试用例，解决用例名称中文显示问题
    for item in items:
        item.name = item.name.encode("utf-8").decode("unicode-escape")
        item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")