# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   interfaceAutoTest_v4
# FileName:      tets_bpm.py
# Author:       ALuo
# Datetime:     2023/11/6 18:45
# Description:
# ---------------------------------------------------------------------------
import allure
import pytest

from interfaceAutoTest.common import alog
from interfaceAutoTest.common.read_excel import ReadExcel



class TestBPM:

    @allure.epic("BPM-ALuo")
    @pytest.mark.parametrize("case_module, case_api, case_title, case_level, case_url, "
                             "case_method, case_mime, case_data, expect_data, sql_type, sql_data, update_key, row", ReadExcel().get_datas())
    def test_bpm(self, db_fix, req_fix, case_module, case_api, case_title, case_level, case_url, case_method,
                 case_mime, case_data, expect_data, sql_type, sql_data, update_key, row):
        # 判断sql语句是否为delete
        if sql_type == "delete":
            # 使用DB删除
            db_fix.delete(sql_data)

        elif sql_type == "select":
            # 使用db查询
            result_select = db_fix.select_all(sql_data)
            # 查询结果更新到用例数据中
            case_data[update_key] = result_select
        elif sql_type == "select|delete" or sql_type == "delete|select":
            db_fix.delete(sql_data.get("delete"))
            result_select = db_fix.select_all(sql_data.get("select"))
            case_data[update_key] = result_select
        # 发送请求
        res = req_fix.request_all(method=case_method, url=case_url, mime=case_mime, case_data=case_data)

        # 断言
        try:
            for key in expect_data:
                assert expect_data[key] == res.json()[key]
        except:
            ReadExcel().write_excel(result="断言失败", row=row)
            alog.error(case_title + " 断言失败，因为 " + res.text + " 用例数据：" + case_data + " 期望数据：" + expect_data)
            raise AssertionError("断言失败")
        else:
            print("断言成功")
            ReadExcel().write_excel(result="断言成功", row=row)

if __name__ == '__main__':
    pytest.main()

